Updating the MPLS Label Switched Paths (LSPs) Ping Parameters IANA Registry
RFC 9041
Loa Andersson
Bronze Dragon Consulting
loa@pi.nu
Mach(Guoyi) Chen
Huawei Technologies
mach.chen@huawei.com
Carlos Pignataro
Cisco Systems
cpignata@cisco.com
Tarek Saad
Juniper Networks
tsaad@juniper.net
July 2021
MPLS Working Group
This document updates RFCs 8029 and 8611, both of which define IANA registries for MPLS Label Switched Path (LSP) Ping. In particular, the registration procedure "Private Use" (previously known as "Vendor Private Use") has been changed to "First Come First Served" for the TLV and sub-TLV registries.
It also updates the description of the procedures for the responses sent when an unknown or erroneous code point is found. The updates are to clarify and align this namespace with recent developments, e.g., aligning terminology with RFC 8126 instead of the now obsoleted RFC 5226 (both titled "Guidelines for Writing an IANA Considerations Section in RFCs").
Introduction
There were a number of reasons to start the work that has led to this document, e.g.,
- When the LSP Ping registry was created, it was incorrectly assumed that code points allocated by Experimental RFCs would be "experimental" code points; a code point made available in a public IANA registry is not limited by the type of RFC that made the allocation: it is available for use in any type of document.
- The number of "experimental" code points was also too large as compared to what is normally allocated for "Experimental Use".
- The words "mandatory" and "optional" are used differently in [RFC8029] than in other RFCs. For example, [RFC8029] talks about mandatory TLVs to indicate that it is mandatory to take a certain action if the TLV is found in a message but is not recognized. Other RFCs use "mandatory TLV" to indicate a TLV that must be present in a message.
Over time, there have been attempts to administratively update some of the registries, but it was soon decided that an RFC was needed. Other, often minor, potential updates were found, e.g., reserving the value 0 (zero) in registries where that is possible.
[RFC8029] contains updates to the "[IANA-LSP-PING]" IANA namespace [IANA-LSP-PING].
[RFC8611] created LSP Ping IANA registries that match [RFC8126]. This document further clarifies the entries in those registries and makes the definitions more precise.
This document updates [RFC8029] and [RFC8611] by updating two groups of registries as follows:
First, the "Message Types" [IANA-MT], "Reply Modes" [IANA-RM], and "Return Codes" [IANA-RC] registries are updated. The changes to these registries are minor.
Second, this document updates the TLV and sub-TLV registries listed below:
- "
[IANA-TLV-reg]
",
[IANA-TLV-reg]
- "
[IANA-Sub-1-16-21]
",
[IANA-Sub-1-16-21]
- "
[IANA-Sub-6]
",
[IANA-Sub-6]
- "
[IANA-Sub-11]
",
[IANA-Sub-11]
- "
[IANA-Sub-20]
",
[IANA-Sub-20]
- "
[IANA-Sub-23]
",
[IANA-Sub-23]
- "
[IANA-Sub-27]
",
[IANA-Sub-27]
It should be noted that [RFC8029] was published before [RFC8126] and uses outdated terminology for some registration procedures, e.g., "Vendor Private Use". [RFC8611] was published after [RFC8126] and uses its recommended terminology, e.g., "Private Use". However, now both "Vendor Private Use" and "Private Use" have been removed and replaced with "First Come First Served" (FCFS) code points.
One reason to change from code points allocated by Vendor Private Use or Private Use is that such code points are allowed in production networks. Theoretically, it is possible that two vendors might use the same code point value with different meanings. If such a code is ever deployed in the same network, this could cause protocol issues that would be hard to debug.
With FCFS code points, this will not happen. Vendors that have existing code using Vendor Private Use or Private Use code points should register those code points as FCFS code points as soon as this document is published as an RFC.
The "[IANA-Sub-9]" subregistry is not updated.
Third, according to [RFC8029], some code points (TLVs and sub-TLVs) are called "mandatory" or "optional". Contrary to how other RFCs use these words, indicating that it is mandatory or optional to include the code points in a message, [RFC8029] uses these words to indicate that an action might or might not be mandatory. This document updates [RFC8029] to drop the words "mandatory" and "optional", and the text is changed to focus on what should be done.
Requirements Language
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Terminology
This section lists terms that are used when discussing the hierarchy of IANA registries (Section 1.2.1), and abbreviations used in IANA registries are updated in this document (Section 1.2.2).
Terminology Used in This Document
Terms related to IANA registries are used as follows in this document:
Namespace
A namespace is a top-level registry. An example could be "[lsp-ping-Namespace]" [IANA-LSP-PING]. A namespace is most often a container for registries that hold code points that share some affinity.
Registry
An IANA registry holds code points and lists the registration procedures and allocation for these code points. One example would be the "[IANA-TLV-reg]" registry [IANA-TLV-reg].
Subregistry
A subregistry is used when a code point, or a set of code points allocated in a single registry, needs "sub-code-points" scoped by the code point or the set of code points. An example of a subregistry that holds code points for more than one TLV is "[IANA-Sub-1-16-21]" [IANA-Sub-1-16-21].
Abbreviations
This section lists abbreviations used in the unchanged part of the registries updated by this document. These abbreviations were originally expanded in the document defining the registries. They are listed here following the requirement to expand any abbreviation that is not well known. All these abbreviations are from the "[IANA-RC]" registry [IANA-RC].
BFD:
Bidirectional Forwarding Detection
DDMAP:
Downstream Detailed Mapping
FEC:
Forwarding Equivalence Class
OAM:
Operation, Administration, and Maintenance
PM:
Performance Monitoring
RSC:
Return Subcode
Updating the Message Types, Reply Modes, and Return Codes Registries
The following changes have been made to the "[IANA-MT]" [IANA-MT], "[IANA-RM]" [IANA-RM], and "[IANA-RC]" [IANA-RC] registries.
- In the listing of assigned code points, the term "Vendor Private Use" is changed to "Private Use" for the 252-255 range. The registration procedures have been updated to reflect this.
- The registration procedure "Specification Required" is changed to "RFC Required" and the note "Experimental RFC needed" is removed for the 192-247 range.
- A small set of four code points (248-251) for Experimental Use is added by reducing the "RFC Required" range. The registration procedures have been updated to reflect this.
- A note "Reserved, not to be assigned" has been added for the registration procedures of the "Private Use" and "Experimental Use" ranges.
- In the lists that capture the assignment status, the fields that are reserved, i.e., 0 (zero), Private Use, and Experimental Use, are clearly marked as such.
  - Note that in the "[IANA-RC]" registry [IANA-RC], the code point "0" has already been assigned. This assignment is not changed, and in this registry, the code point "0" continues to be assigned as "No Return Code".
The new registration procedures, the registry layouts, and the new assignments for these registries are found in Section 6.1.
Updating the TLV and Sub-TLV Registries
General Principles for the LSP Ping TLV and Sub-TLV Registries
The following principles apply to the processing of any TLV from any of the LSP Ping TLV and sub-TLV IANA registries.
- All TLVs and sub-TLVs with a type in the range 0-32767 require a response if they are not recognized.
- All TLVs and sub-TLVs in the range 32768-65535 can be silently dropped if they are not recognized. Alternatively, the receiver may step over the unrecognized TLV or send an error message.
Each of the blocks has code point spaces with the following registration procedures:
- Standards Action
- RFC Required
- Experimental Use
- First Come First Served (FCFS)
The exact definitions of these procedures are found in [RFC8126].
Unrecognized Experimental Use TLVs and Sub-TLVs
Unrecognized TLVs and sub-TLVs in the Experimental Use and FCFS ranges are handled as any other unrecognized TLV or sub-TLV.
- If the unrecognized TLV or sub-TLV is from the Experimental Use range (31740-31743) or from the FCFS range (31744-32767), a Return Code of 2 ("One or more of the TLVs was not understood") must be sent in the echo response.
- If a TLV or sub-TLV from the Experimental Use range (64508-64511) or from the FCFS range (64512-65535) is unrecognized, then the receiver can silently drop the TLV. Alternatively, the receiver may step over the unrecognized TLV or send an error message.
The IETF does not prescribe how recognized or unrecognized Experimental Use and Private Use TLVs and sub-TLVs are handled in experimental or private networks; that is up to the agency running the experimental or the private network. The statement above describes how standards-compliant implementations must treat the unrecognized TLVs and sub-TLVs from these ranges.
Common Registration Procedures for TLVs and Sub-TLVs
This section describes the new registration procedures for the TLV and sub-TLV registries.
TLV and Sub-TLV Registration Procedures
Range | Registration Procedures | Note
0-16383 | Standards Action | This range is for TLVs and sub-TLVs that require an error message if not recognized. This document, Section 3.1
16384-31739 | RFC Required | This range is for TLVs and sub-TLVs that require an error message if not recognized. This document, Section 3.1
31740-31743 | Reserved for Experimental Use | Not to be assigned. This range is for TLVs and sub-TLVs that require an error message if not recognized. This document, Section 3.1
31744-32767 | FCFS | This range is for TLVs and sub-TLVs that require an error message if not recognized. This document, Section 3.1
32768-49161 | Standards Action | This range is for TLVs and sub-TLVs that can be silently dropped if not recognized.
49162-64507 | RFC Required | This range is for TLVs and sub-TLVs that can be silently dropped if not recognized.
64508-64511 | Reserved for Experimental Use | Not to be assigned. This range is for TLVs and sub-TLVs that can be silently dropped if not recognized.
64512-65535 | FCFS | This range is for TLVs and sub-TLVs that can be silently dropped if not recognized.
Changes to the LSP Ping Registries
This section lists the changes to each MPLS LSP Ping TLV and sub-TLV registry. Sections 6.2.1 to 6.2.7 describe how the new versions of the IANA registries should look, together with the registration procedures for each registry.
The new registration procedure descriptions and the new assignments for these registries are used to model the changed MPLS LSP Ping registries; see Section 6.
Changes Common to the TLV and Sub-TLV Registries
The following changes are made to the TLV and sub-TLV registries.
- The registration procedures "First Come First Served" (FCFS) and "Experimental Use" have been added to the table of registration procedures.
- Two small sets of code points (four code points each) for Experimental Use have been created. The first set is for the range that requires a response if the TLV or sub-TLV is not recognized; the second set is for the range where the TLV or sub-TLV may be silently dropped if not recognized. The code points for Experimental Use have been taken from the ranges previously called "Specification Required" and "RFC Required" [RFC8029].
- The registration procedure "Specification Required" has been changed to "RFC Required", and the note "Experimental RFC needed" has been removed.
- In the listing of assignments, the term "Vendor Private Use" has been changed to "First Come First Served" (FCFS).
- In the listing of assignments, the range for "Experimental Use" has been added.
- A note saying "Not to be assigned" has been added for the registration procedure "Experimental Use".
- In the list that captures assignment status, the fields that are reserved, i.e., 0 (zero) and Experimental Use, have been clearly marked.
Updates to Related RFCs
Some referenced RFCs use the concept "mandatory TLVs" and "mandatory sub-TLVs" to indicate that, if a TLV or sub-TLV of the range 0-32767 in a message is not understood, an error message needs to be sent in response.
The same RFCs use "optional TLVs" and "optional sub-TLVs" to mean TLVs or sub-TLVs that can be silently ignored if not recognized.
Since other RFCs use "mandatory TLVs" and "mandatory sub-TLVs" to indicate TLVs and sub-TLVs that must be present in a message, we want to discontinue the use of "mandatory" to indicate TLVs and sub-TLVs that require an error message in response if not understood. The changes to the RFCs below align with this practice.
Updates to RFC 8029
"Mandatory" and "optional" are used to indicate whether a response is needed if a TLV or sub-TLV is not understood in Section 3 of "[RFC8029]" [RFC8611].
The text in those two paragraphs is now updated to the following:
TLV and sub-TLV types less than 32768 (i.e., with the high-order bit equal to 0) are TLVs and sub-TLVs that MUST either be supported by an implementation or result in a Return Code of 2 ("One or more of the TLVs was not understood") being sent in the echo response.
An implementation that does not understand or support a received TLV or sub-TLV with a type greater than or equal to 32768 (i.e., with the high-order bit equal to 1) SHOULD ignore and step over the TLV or sub-TLV; however, an implementation MAY send an echo response with a Return Code of 2 ("One or more of the TLVs was not understood") as it would have done if the high-order bit had been clear.
In Section 3.8 of [RFC8029], "mandatory" is used in the same way. The first two paragraphs of this section are now updated to read as follows:
The following TLV is a TLV that MAY be included in an echo reply to inform the sender of an echo request that includes TLV or sub-TLV Types less than 32768 (i.e., with the high-order bit equal to 0) that are either not supported by the implementation or parsed and found to be in error.
The Value field uses sub-TLVs to encode the received TLVs and sub-TLVs that were not understood.
Updates to RFC 8611
Section 13.4.1 of "[RFC8611]" [RFC8611] defines "[IANA-Sub-6]" [IANA-Sub-6].
The "[IANA-Sub-6]" registry has been updated to align with changes defined in this document.
Section 13.4.1 of [RFC8611] is now updated as follows:
Section 13.4.1 Sub-TLVs for TLV Type 6
IANA has created a new subregistry, "[IANA-Sub-6]", [IANA-Sub-6] under the "[IANA-TLV-reg]" registry [IANA-TLV-reg] of the "[lsp-ping-Namespace]" namespace [lsp-ping-Namespace].
The "[IANA-Sub-6]" subregistry is now updated to align with changes defined in this document.
Sub-TLVs for TLV Type 6 Registration Procedures
Range | Registration Procedures | Note
0-16383 | Standards Action | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
16384-31739 | RFC Required | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
31740-31743 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
31744-32767 | FCFS | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
32768-49161 | Standards Action | This range is for sub-TLVs that can be silently dropped if not recognized.
49162-64507 | RFC Required | This range is for sub-TLVs that can be silently dropped if not recognized.
64508-64511 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | FCFS | This range is for sub-TLVs that can be silently dropped if not recognized.
Security Considerations
This document updates IANA registries. It also updates terminology used to define, and clarifies the terminology related to, the code points in the registries. The document does not change how the code points in the registries are used. This should not create any new threats.
However, the updated terminology and the clarifications improve security because it makes it more likely that implementations will be consistent and harder to attack.
IANA Considerations
IANA has updated the "[lsp-ping-Namespace]" namespace [IANA-LSP-PING] as described in this document.
See Section 1.2.1 of "Terminology Used in This Document" to see how "namespace", "registry", and "subregistry" are used in this document.
In other parts of this document, the commonality of the changes to the LSP Ping registries has been the focus. For the IANA Considerations, each changed registry has been described in its own right.
The following registries and subregistries have been changed:
- "
[IANA-MT]
",
[IANA-MT]
- "
[IANA-RM]
",
[IANA-RM]
- "
[IANA-RC]
",
[IANA-RC]
- "
[IANA-TLV-reg]
",
[IANA-TLV-reg]
- "
[IANA-Sub-1-16-21]
",
[IANA-Sub-1-16-21]
- "
[IANA-Sub-6]
",
[IANA-Sub-6]
- "
[IANA-Sub-11]
",
[IANA-Sub-11]
- "
[IANA-Sub-20]
",
[IANA-Sub-20]
- "
[IANA-Sub-23]
",
[IANA-Sub-23]
- "
[IANA-Sub-27]
",
[IANA-Sub-27]
This document has been listed as an additional reference for each of the registries described in Sections 6.1 and 6.2.
Updates by IANA to the Message Types, Reply Modes, and Return Codes Registries
This section details the updated registration procedures and allocations for the "[IANA-MT]", "[IANA-RM]", and "[IANA-RC]" registries.
Updates to the Message Types Registry
These are the changes to the "[IANA-MT]" registry specified in this document:
- Code Point 0 (zero) has been marked Reserved.
- The registration procedure "Specification Required" has been changed to "RFC Required", and the comment "Experimental RFC needed" has been removed.
- Four code points have been taken from what was previously "Specification Required" to form a set of code points for "Experimental Use".
The registration procedures after the changes listed above for the "[IANA-MT]" registry are shown in the table below:
Message Types Registration Procedures
Range | Registration Procedures | Note
0-191 | Standards Action |
192-247 | RFC Required |
248-251 | Experimental Use | Reserved, not to be assigned
252-255 | Private Use | Reserved, not to be assigned
The updated assignments for the "[IANA-MT]" registry appear as follows:
Assignments for the Message Types Registry
Value | Meaning | Reference
0 | Reserved | This document
1 | MPLS Echo Request | [RFC8029]
2 | MPLS Echo Reply | [RFC8029]
3 | MPLS Proxy Ping Request | [RFC7555]
4 | MPLS Proxy Ping Reply | [RFC7555]
5 | MPLS Relayed Echo Reply | [RFC7743]
6-247 | Unassigned |
248-251 | Reserved for Experimental Use | This document
252-255 | Reserved for Private Use | [RFC8029]
Updates to the Reply Modes Registry
These are the changes to the "[IANA-RM]" registry specified in this document:
- Code Point 0 (zero) has been marked Reserved.
- The registration procedure "Specification Required" has been changed to "RFC Required", and the comment "Experimental RFC needed" has been removed.
- Four code points have been taken from what was previously "Specification Required" to form a set of code points for "Experimental Use".
The registration procedures after the changes for the "[IANA-RM]" registry are shown in the table below:
Reply Modes Registration Procedures
Range | Registration Procedures | Note
0-191 | Standards Action |
192-247 | RFC Required |
248-251 | Experimental Use | Reserved, not to be assigned
252-255 | Private Use | Reserved, not to be assigned
The updated assignments for the "[IANA-RM]" registry are as follows:
Assignments for the Reply Modes Registry
Value | Meaning | Reference
0 | Reserved | This document
1 | Do not reply | [RFC8029]
2 | Reply via an IPv4/IPv6 UDP packet | [RFC8029]
3 | Reply via an IPv4/IPv6 UDP packet with Router Alert | [RFC8029]
4 | Reply via application-level control channel | [RFC8029]
5 | Reply via Specified Path | [RFC7110]
6-247 | Unassigned |
248-251 | Reserved for Experimental Use | This document
252-255 | Reserved for Private Use | [RFC8029]
Updates to the Return Codes Registry
These are the changes to the "[IANA-RC]" registry specified in this document:
- The registration procedure "Specification Required" has been changed to "RFC Required", and the comment "Experimental RFC needed" has been removed.
- Four code points have been taken from what was previously "Specification Required" to form a set of code points for "Experimental Use".
The registration procedures after the changes for the "[IANA-RC]" registry are shown in the table below:
Return Codes Registration Procedures
Range | Registration Procedures | Note
0-191 | Standards Action |
192-247 | RFC Required |
248-251 | Experimental Use | Reserved, not to be assigned
252-255 | Private Use | Reserved, not to be assigned
The updated assignments for the "[IANA-RC]" registry are as follows:
Assignments for the Return Codes Registry
Value | Meaning | Reference
0 | No Return Code | [RFC8029]
1 | Malformed echo request received | [RFC8029]
2 | One or more of the TLVs was not understood | [RFC8029]
3 | Replying router is an egress for the FEC at stack-depth <RSC> | [RFC8029]
4 | Replying router has no mapping for the FEC at stack-depth <RSC> | [RFC8029]
5 | Downstream Mapping Mismatch (See [1]) | [RFC8029]
6 | Upstream Interface Index Unknown (See [1]) | [RFC8029]
7 | Reserved | [RFC8029]
8 | Label switched at stack-depth <RSC> | [RFC8029]
9 | Label switched but no MPLS forwarding at stack-depth <RSC> | [RFC8029]
10 | Mapping for this FEC is not the given label at stack-depth <RSC> | [RFC8029]
11 | No label entry at stack-depth <RSC> | [RFC8029]
12 | Protocol not associated with interface at FEC stack-depth <RSC> | [RFC8029]
13 | Premature termination of ping due to label stack shrinking to a single label | [RFC8029]
14 | See DDMAP TLV for meaning of Return Code and Return Subcode (See [2]) | [RFC8029]
15 | Label switched with FEC change | [RFC8029]
16 | Proxy Ping not authorized | [RFC7555]
17 | Proxy Ping parameters need to be modified | [RFC7555]
18 | MPLS Echo Request could not be sent | [RFC7555]
19 | Replying router has FEC mapping for topmost FEC | [RFC7555]
20 | One or more TLVs not returned due to MTU size | [RFC7743]
21 | OAM Problem/Unsupported BFD Version | [RFC7759]
22 | OAM Problem/Unsupported BFD Encapsulation format | [RFC7759]
23 | OAM Problem/Unsupported BFD Authentication Type | [RFC7759]
24 | OAM Problem/Mismatch of BFD Authentication Key ID | [RFC7759]
25 | OAM Problem/Unsupported Timestamp Format | [RFC7759]
26 | OAM Problem/Unsupported Delay Mode | [RFC7759]
27 | OAM Problem/Unsupported Loss Mode | [RFC7759]
28 | OAM Problem/Delay variation unsupported | [RFC7759]
29 | OAM Problem/Dyadic mode unsupported | [RFC7759]
30 | OAM Problem/Loopback mode unsupported | [RFC7759]
31 | OAM Problem/Combined mode unsupported | [RFC7759]
32 | OAM Problem/Fault management signaling unsupported | [RFC7759]
33 | OAM Problem/Unable to create fault management association | [RFC7759]
34 | OAM Problem/PM Configuration Error | [RFC7759]
35 | Mapping for this FEC is not associated with the incoming interface | [RFC8287], Section 7.4
36-247 | Unassigned |
248-251 | Reserved for Experimental Use | This document
252-255 | Reserved for Private Use | [RFC8029]
Note 1:
Notes [1] and [2] for code points 5, 6, and 14 point to footnotes in the "[IANA-LSP-PING]" namespace. The footnotes are not changed by this document.
Note 2:
<RSC> stands for "Return Subcode" and is explained in Section 3.1 of [RFC8029].
Updates to the TLV and Sub-TLV Registries
The updates to the TLV and the sub-TLV registries are mostly the same; however, the "[IANA-Sub-9]" [IANA-Sub-9] registry has not been updated.
Note that when a field in an assignment table says "EQ", it means that there is no change from the existing field in the "[lsp-ping-Namespace]" namespace [IANA-LSP-PING].
Updates to the TLVs Registry
This section describes the new registration procedures and the assignments for the "[IANA-TLV-reg]" registry [IANA-TLV-reg] that are based on them.
The registration procedures have been changed, as follows, for the "[IANA-TLV-reg]" registry.
- The "Specification Required" registration procedure has been changed to "RFC Required". The comment "Experimental RFC Required" has been removed. Note that when a field in an assignment table says "EQ", it means that there is no change from the existing field in the "[lsp-ping-Namespace]" namespace [IANA-LSP-PING].
- [RFC8611] was published after [RFC8126] and uses the new terminology, e.g., "Private Use". The code points registration procedure "Private Use" has been replaced by the "First Come First Served" code point registration procedure.
- Two small sets, four code points each, have been created for Experimental Use.
- Code points that are reserved are clearly marked as such.
- The assignments have been updated to match the new registration procedures.
- The notes related to the registration procedures have been changed to reflect whether or not a response is required if a TLV is not recognized.
The registration procedures for the "[IANA-TLV-reg]" registry [IANA-TLV-reg] after the changes listed above are shown in the table below:
TLVs Registration Procedures
Range | Registration Procedures | Note
0-16383 | Standards Action | This range is for TLVs that require an error message if not recognized. This document, Section 3.1
16384-31739 | RFC Required | This range is for TLVs that require an error message if not recognized. This document, Section 3.1
31740-31743 | Reserved for Experimental Use | Not to be assigned. This range is for TLVs that require an error message if not recognized. This document, Section 3.1
31744-32767 | FCFS | This range is for TLVs that require an error message if not recognized. This document, Section 3.1
32768-49161 | Standards Action | This range is for TLVs that can be silently dropped if not recognized.
49162-64507 | RFC Required | This range is for TLVs that can be silently dropped if not recognized.
64508-64511 | Reserved for Experimental Use | Not to be assigned. This range is for TLVs that can be silently dropped if not recognized.
64512-65535 | FCFS | This range is for TLVs that can be silently dropped if not recognized.
The updated assignments for this registry appear as follows:
Note that when a field in an assignment table says "EQ", it means that there was no change from the existing field in the "[lsp-ping-Namespace]" namespace [IANA-LSP-PING].
TLV Assignments
Type | TLV Name | Reference | Sub-TLV Registry
0 | Reserved | This document |
1-7 | EQ | EQ | EQ
8 | Unassigned | |
9-16 | EQ | EQ | EQ
17-19 | Unassigned | |
20-27 | EQ | EQ | EQ
28-31739 | Unassigned | |
31740-31743 | Reserved for Experimental Use | This document | Not to be assigned. This range is for TLVs that require an error message if not recognized. This document, Section 3.1
31744-32767 | Unassigned | |
32768-32770 | EQ | EQ | EQ
32771-64507 | EQ | EQ | EQ
64508-64511 | Reserved for Experimental Use | This document | Not to be assigned. This range is for TLVs that can be silently dropped if not recognized.
64512-65535 | Unassigned | |
Updates to the Registry for Sub-TLVs for TLV Types 1, 16, and 21
This section describes the new registration procedures and the assignments for the "[IANA-Sub-1-16-21]" [IANA-Sub-1-16-21] subregistry that are based on them.
- The "Specification Required" registration procedure has been changed to "RFC Required", and the comment "Experimental RFC Required" has been removed.
- The code points registration procedure "Vendor Private Use" has been removed and replaced with "First Come First Served" procedure.
- Two small sets, four code points each, have been created for Experimental Use.
- Code points that are reserved are clearly marked as such.
- The assignments have been updated to match the new registration procedures.
- The notes related to the registration procedures have been changed to reflect whether or not a response is required if a sub-TLV is not recognized.
The registration procedures for the "[IANA-Sub-1-16-21]" [IANA-Sub-1-16-21] subregistry appear as follows after the changes listed above:
Registration Procedures for Sub-TLVs for TLV Types 1, 16, and 21
Range | Registration Procedures | Note
0-16383 | Standards Action | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
16384-31739 | RFC Required | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
31740-31743 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
31744-32767 | FCFS | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
32768-49161 | Standards Action | This range is for sub-TLVs that can be silently dropped if not recognized.
49162-64507 | RFC Required | This range is for sub-TLVs that can be silently dropped if not recognized.
64508-64511 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | FCFS | This range is for sub-TLVs that can be silently dropped if not recognized.
Sub-TLV for TLVs 1, 16, and 21 Assignments
Sub-Type | Sub-TLV Name | Reference | Comment
0 | Reserved | This document |
1-4 | EQ | EQ | EQ
5 | Unassigned | |
6-8 | EQ | EQ | EQ
9 | EQ | EQ | DEPRECATED
10-20 | EQ | EQ | EQ
21 | Unassigned | |
22-37 | EQ | EQ | EQ
38 | PeerAdj SID Sub-TLV | [draft-ietf-mpls-sr-epe-oam-03] | TEMPORARY - registered 2021-05-11, expires 2022-05-11
39 | PeerNode SID Sub-TLV | [draft-ietf-mpls-sr-epe-oam-03] | TEMPORARY - registered 2021-05-11, expires 2022-05-11
40 | PeerSet SID Sub-TLV | [draft-ietf-mpls-sr-epe-oam-03] | TEMPORARY - registered 2021-05-11, expires 2022-05-11
41-31739 | Unassigned | |
31740-31743 | Reserved for Experimental Use | This document | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
31744-64507 | Unassigned | |
64508-64511 | Reserved for Experimental Use | This document | Not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | Unassigned | |
Updates to the Registry for Sub-TLVs for TLV Type 6
This section describes the new registration procedures and the assignments for the "[IANA-Sub-6]" [IANA-Sub-6] subregistry that are based on them.
- [RFC8611] was published after [RFC8126] and uses the new terminology, e.g., "Private Use". The code points registration procedure "Private Use" has been replaced by the "First Come First Served" code point registration procedure.
- Two small sets, four code points each, have been created for Experimental Use.
- Code points that are reserved are clearly marked as such.
- The assignments have been updated to match the new registration procedures.
- The notes related to the registration procedures have been changed to reflect whether or not a response is required if a sub-TLV is not recognized.
The registration procedures for the "[IANA-Sub-6]" [IANA-Sub-6] subregistry after the changes listed above are shown in the table below:
Registration Procedures for Sub-TLVs for TLV Type 6
Range | Registration Procedures | Note
0-16383 | Standards Action | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
16384-31739 | RFC Required | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
31740-31743 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
31744-32767 | FCFS | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
32768-49161 | Standards Action | This range is for sub-TLVs that can be silently dropped if not recognized.
49162-64507 | RFC Required | This range is for sub-TLVs that can be silently dropped if not recognized.
64508-64511 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | FCFS | This range is for sub-TLVs that can be silently dropped if not recognized.
Sub-TLVs for TLV Type 6 Assignments
Sub-Type | Sub-TLV Name | Reference | Comment
0 | Reserved | This document, [RFC8611] |
1-2 | EQ | EQ | EQ
3-31739 | Unassigned | |
31740-31743 | Reserved for Experimental Use | This document | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
31744-64507 | Unassigned | |
64508-64511 | Reserved for Experimental Use | This document | Not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | Unassigned | |
Updates to the Registry for Sub-TLVs for TLV Type 11
This section describes the new registration procedures and the assignments for the "[IANA-Sub-11]" [IANA-Sub-11] subregistry that are based on them.
- The "Specification Required" registration procedure has been changed to "RFC Required", and the comment "Experimental RFC Required" has been removed.
- The code points registration procedure "Vendor Private Use" has been removed and replaced with "First Come First Served" code points.
- Two small sets, four code points each, have been created for Experimental Use.
- Code points that are reserved are clearly marked as such.
- The assignments have been updated to match the new registration procedures.
- The notes related to the registration procedures have been changed to reflect whether or not a response is required if a sub-TLV is not recognized.
The registration procedures for the "[IANA-Sub-11]" [IANA-Sub-11] subregistry after the changes listed above are shown in the table below:
Registration Procedures for Sub-TLVs for TLV Type 11
Range | Registration Procedures | Note
0-16383 | Standards Action | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
16384-31739 | RFC Required | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
31740-31743 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
31744-32767 | FCFS | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
32768-49161 | Standards Action | This range is for sub-TLVs that can be silently dropped if not recognized.
49162-64507 | RFC Required | This range is for sub-TLVs that can be silently dropped if not recognized.
64508-64511 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | FCFS | This range is for sub-TLVs that can be silently dropped if not recognized.
Sub-TLVs for TLV Type 11 Assignments
Sub-Type | Sub-TLV Name | Reference | Comment
0 | Reserved | This document |
1-4 | EQ | EQ | EQ
5-31739 | Unassigned | |
31740-31743 | Reserved for Experimental Use | This document | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1
31744-64507 | Unassigned | |
64508-64511 | Reserved for Experimental Use | This document | Not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | Unassigned | |
Updates to the Registry for Sub-TLVs for TLV Type 20
This section describes the new registration procedures and the assignments for the "[IANA-Sub-20]" [IANA-Sub-20] subregistry that are based on them.
- The "Specification Required" registration procedure has been changed to "RFC Required", and the comment "Experimental RFC Required" has been removed.
- The code points registration procedure "Vendor Private Use" has been removed and replaced with "First Come First Served" code points.
- Two small sets, four code points each, have been created for Experimental Use.
- Code points that are reserved are clearly marked as such.
- The assignments have been updated to match the new registration procedures.
- The notes related to the registration procedures have been changed to reflect whether or not a response is required if a sub-TLV is not recognized.
The registration procedures for the "[IANA-Sub-20]" [IANA-Sub-20] subregistry after the changes listed above are shown in the table below:
Registration Procedures for Sub-TLVs for TLV Type 20
Range | Registration Procedures | Note
0-16383 | Standards Action | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
16384-31739 | RFC Required | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
31740-31743 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
31744-32767 | FCFS | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
32768-49161 | Standards Action | This range is for sub-TLVs that can be silently dropped if not recognized.
49162-64507 | RFC Required | This range is for sub-TLVs that can be silently dropped if not recognized.
64508-64511 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | FCFS | This range is for sub-TLVs that can be silently dropped if not recognized.
Sub-TLVs for TLV Type 20 Assignments
Sub-Type | Sub-TLV Name | Reference | Comment
0 | Reserved | This document |
1-5 | EQ | EQ | EQ
6-31739 | Unassigned | |
31740-31743 | Reserved for Experimental Use | This document | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
31744-64507 | Unassigned | |
64508-64511 | Reserved for Experimental Use | This document | Not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | Unassigned | |
Updates to the Registry for Sub-TLVs for TLV Type 23
This section describes the new registration procedures and the assignments for the "[IANA-Sub-23]" [IANA-Sub-23] subregistry that are based on them.
- The "Specification Required" registration procedure has been changed to "RFC Required", and the comment "Experimental RFC Required" has been removed.
- The code points registration procedure "Vendor Private Use" has been removed and replaced with "First Come First Served" code points.
- Two small sets, four code points each, have been created for Experimental Use.
- Code points that are reserved are clearly marked as such.
- The assignments have been updated to match the new registration procedures.
- The notes related to the registration procedures have been changed to reflect whether or not a response is required if a sub-TLV is not recognized.
The registration procedures for the "[IANA-Sub-23]" [IANA-Sub-23] subregistry after the changes listed above are shown in the table below:
Registration Procedures for Sub-TLVs for TLV Type 23
Range | Registration Procedures | Note
0-16383 | Standards Action | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
16384-31739 | RFC Required | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
31740-31743 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
31744-32767 | FCFS | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
32768-49161 | Standards Action | This range is for sub-TLVs that can be silently dropped if not recognized.
49162-64507 | RFC Required | This range is for sub-TLVs that can be silently dropped if not recognized.
64508-64511 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | FCFS | This range is for sub-TLVs that can be silently dropped if not recognized.
Sub-TLVs for TLV Type 23 Assignments
Sub-Type | Sub-TLV Name | Reference | Comment
0 | Reserved | [RFC7555] |
1 | EQ | EQ | EQ
2-31739 | Unassigned | |
31740-31743 | Reserved for Experimental Use | This document | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
31744-64507 | Unassigned | |
64508-64511 | Reserved for Experimental Use | This document | Not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | Unassigned | |
Updates to the Registry for Sub-TLVs for TLV Type 27
This section describes the new registration procedures and the assignments for the "[IANA-Sub-27]" [IANA-Sub-27] subregistry that are based on them.
- The "Specification Required" registration procedure has been changed to "RFC Required", and the comment "Experimental RFC Required" has been removed.
- The code points registration procedure "Vendor Private Use" has been removed and replaced with "First Come First Served" code points.
- Two small sets, four code points each, have been created for Experimental Use.
- Code points that are reserved are clearly marked as such.
- The assignments have been updated to match the new registration procedures.
- The notes related to the registration procedures have been changed to reflect whether or not a response is required if a sub-TLV is not recognized.
The registration procedures for the "[IANA-Sub-27]" [IANA-Sub-27] subregistry after the changes listed above are shown in the table below:
Registration Procedures for Sub-TLVs for TLV Type 27
Range | Registration Procedures | Note
0-16383 | Standards Action | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
16384-31739 | RFC Required | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
31740-31743 | Reserved for Experimental Use | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
31744-32767 | FCFS | This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
32768-49161 | Standards Action | This range is for sub-TLVs that can be silently dropped if not recognized.
49162-64507 | RFC Required | This range is for sub-TLVs that can be silently dropped if not recognized.
64508-64511 | Experimental Use | Reserved, not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | FCFS | This range is for sub-TLVs that can be silently dropped if not recognized.
Sub-TLVs for TLV Type 27 Assignments
Sub-Type | Sub-TLV Name | Reference | Comment
0 | Reserved | [RFC7759] |
1-99 | Unassigned | |
100-104 | EQ | EQ | EQ
105-199 | Unassigned | |
200-202 | EQ | EQ | EQ
203-299 | Unassigned | |
300 | EQ | EQ | EQ
301-399 | Unassigned | |
400 | EQ | EQ | EQ
401-31739 | Unassigned | |
31740-31743 | Reserved for Experimental Use | This document | Not to be assigned. This range is for sub-TLVs that require an error message if not recognized. This document, Section 3.1]
31744-64507 | Unassigned | |
64508-64511 | Reserved for Experimental Use | This document | Not to be assigned. This range is for sub-TLVs that can be silently dropped if not recognized.
64512-65535 | Unassigned | |
References
Normative References
[IANA-LSP-PING]

Multiprotocol Label Switching (MPLS) Label Switched Paths (LSPs) Ping Parameters
IANA
[IANA-MT]

Message Types
IANA
[IANA-RM]

Reply Modes
IANA
[IANA-RC]

Return Codes
IANA
[IANA-TLV-reg]

TLVs
IANA
[IANA-Sub-1-16-21]

Sub-TLVs for TLV Types 1, 16, and 21
IANA
[IANA-Sub-6]

Sub-TLVs for TLV Type 6
IANA
[IANA-Sub-11]

Sub-TLVs for TLV Type 11
IANA
[IANA-Sub-20]

Sub-TLVs for TLV Type 20
IANA
[IANA-Sub-23]

Sub-TLVs for TLV Type 23
IANA
[IANA-Sub-27]

Sub-TLVs for TLV Type 27
IANA
Informative References
[IANA-Sub-9]

Sub-TLVs for TLV Type 9
IANA
[lsp-ping-Namespace]

Multiprotocol Label Switching (MPLS) Label Switched Paths (LSPs) Ping Parameters
IANA
[RFC8029]
[RFC8611]
[RFC8126]
[RFC2119]
[RFC8174]
[RFC7555]
[RFC7743]
[RFC7110]
[RFC7759]
[RFC8287]
Acknowledgements
The authors wish to thank Adrian Farrel, who both made very useful comments and agreed to serve as the Document Shepherd.
The authors also wish to thank Michelle Cotton and Amanda Baber, who very patiently worked with us to determine how our registries could and should be updated.
The authors thank Donald Eastlake 3rd and Tom Petch for their careful and detailed review.